=== src/CMakeLists.txt ===
# Automatically generated by updatesources.sh

include(src/App/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/App)
include(src/ToolScene/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/ToolScene)
include(src/Dialogs/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Dialogs)
include(src/Gui/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Gui)
include(src/Book/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Book)
include(src/Data/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Data)
include(src/File/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/File)
include(src/Items/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Items)
include(src/Scenes/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Scenes)
include(src/AutoNote/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/AutoNote)
