=== src/AutoNote/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/AutoNote/AN_Biblio.h )
target_sources(notedeln PRIVATE  src/AutoNote/AN_Pubmed.h )
target_sources(notedeln PRIVATE  src/AutoNote/AutoNote.h )
target_sources(notedeln PRIVATE  src/AutoNote/AN_Biblio.cpp )
target_sources(notedeln PRIVATE  src/AutoNote/AN_Pubmed.cpp )
target_sources(notedeln PRIVATE  src/AutoNote/AutoNote.cpp )
