=== src/Book/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/Book/BookData.h )
target_sources(notedeln PRIVATE  src/Book/Catalog.h )
target_sources(notedeln PRIVATE  src/Book/Index.h )
target_sources(notedeln PRIVATE  src/Book/Notebook.h )
target_sources(notedeln PRIVATE  src/Book/Search.h )
target_sources(notedeln PRIVATE  src/Book/SearchResult.h )
target_sources(notedeln PRIVATE  src/Book/Style.h )
target_sources(notedeln PRIVATE  src/Book/TOCEntry.h )
target_sources(notedeln PRIVATE  src/Book/TOCFile.h )
target_sources(notedeln PRIVATE  src/Book/TOC.h )
target_sources(notedeln PRIVATE  src/Book/WordIndex.h )
target_sources(notedeln PRIVATE  src/Book/BookData.cpp )
target_sources(notedeln PRIVATE  src/Book/Catalog.cpp )
target_sources(notedeln PRIVATE  src/Book/Index.cpp )
target_sources(notedeln PRIVATE  src/Book/Notebook.cpp )
target_sources(notedeln PRIVATE  src/Book/Search.cpp )
target_sources(notedeln PRIVATE  src/Book/Style.cpp )
target_sources(notedeln PRIVATE  src/Book/TOC.cpp )
target_sources(notedeln PRIVATE  src/Book/TOCEntry.cpp )
target_sources(notedeln PRIVATE  src/Book/WordIndex.cpp )
