=== src/Dialogs/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/Dialogs/AboutBox.h )
target_sources(notedeln PRIVATE  src/Dialogs/CloneBookDialog.h )
target_sources(notedeln PRIVATE  src/Dialogs/GotoPageDialog.h )
target_sources(notedeln PRIVATE  src/Dialogs/NewBookDialog.h )
target_sources(notedeln PRIVATE  src/Dialogs/PrintDialog.h )
target_sources(notedeln PRIVATE  src/Dialogs/SearchDialog.h )
target_sources(notedeln PRIVATE  src/Dialogs/SearchView.h )
target_sources(notedeln PRIVATE  src/Dialogs/AboutBox.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/CloneBookDialog.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/GotoPageDialog.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/NewBookDialog.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/PrintDialog.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/SearchDialog.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/SearchView.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/CloneBookDialog.ui )
target_sources(notedeln PRIVATE  src/Dialogs/NewBookDialog.ui )
target_sources(notedeln PRIVATE  src/Dialogs/PrintDialog.ui )
