=== src/Items/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/Items/Accents.h )
target_sources(notedeln PRIVATE  src/Items/BlockItem.h )
target_sources(notedeln PRIVATE  src/Items/DefaultingTextItem.h )
target_sources(notedeln PRIVATE  src/Items/Digraphs.h )
target_sources(notedeln PRIVATE  src/Items/DragLine.h )
target_sources(notedeln PRIVATE  src/Items/FontVariants.h )
target_sources(notedeln PRIVATE  src/Items/FootnoteItem.h )
target_sources(notedeln PRIVATE  src/Items/FutileMovementInfo.h )
target_sources(notedeln PRIVATE  src/Items/GfxBlockItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxImageItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxLineItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxMarkItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxNoteItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxSketchItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxVideoItem.h )
target_sources(notedeln PRIVATE  src/Items/HtmlBuilder.h )
target_sources(notedeln PRIVATE  src/Items/HtmlParser.h )
target_sources(notedeln PRIVATE  src/Items/Item.h )
target_sources(notedeln PRIVATE  src/Items/LateNoteItem.h )
target_sources(notedeln PRIVATE  src/Items/Latin.h )
target_sources(notedeln PRIVATE  src/Items/SearchResItem.h )
target_sources(notedeln PRIVATE  src/Items/TableBlockItem.h )
target_sources(notedeln PRIVATE  src/Items/TableItemDoc.h )
target_sources(notedeln PRIVATE  src/Items/TableItem.h )
target_sources(notedeln PRIVATE  src/Items/TeXCodes.h )
target_sources(notedeln PRIVATE  src/Items/TextBlockItem.h )
target_sources(notedeln PRIVATE  src/Items/TextCursor.h )
target_sources(notedeln PRIVATE  src/Items/TextItemDocData.h )
target_sources(notedeln PRIVATE  src/Items/TextItemDoc.h )
target_sources(notedeln PRIVATE  src/Items/TextItem.h )
target_sources(notedeln PRIVATE  src/Items/TextSplitter.h )
target_sources(notedeln PRIVATE  src/Items/TitleItem.h )
target_sources(notedeln PRIVATE  src/Items/TOCItem.h )
target_sources(notedeln PRIVATE  src/Items/Unicode.h )
target_sources(notedeln PRIVATE  src/Items/Accents.cpp )
target_sources(notedeln PRIVATE  src/Items/BlockItem.cpp )
target_sources(notedeln PRIVATE  src/Items/DefaultingTextItem.cpp )
target_sources(notedeln PRIVATE  src/Items/Digraphs.cpp )
target_sources(notedeln PRIVATE  src/Items/DragLine.cpp )
target_sources(notedeln PRIVATE  src/Items/FontVariants.cpp )
target_sources(notedeln PRIVATE  src/Items/FootnoteItem.cpp )
target_sources(notedeln PRIVATE  src/Items/FutileMovementInfo.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxBlockItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxImageItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxLineItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxMarkItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxNoteItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxSketchItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxVideoItem.cpp )
target_sources(notedeln PRIVATE  src/Items/HtmlBuilder.cpp )
target_sources(notedeln PRIVATE  src/Items/HtmlParser.cpp )
target_sources(notedeln PRIVATE  src/Items/Item.cpp )
target_sources(notedeln PRIVATE  src/Items/LateNoteItem.cpp )
target_sources(notedeln PRIVATE  src/Items/Latin.cpp )
target_sources(notedeln PRIVATE  src/Items/SearchResItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TableBlockItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TableItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TableItemDoc.cpp )
target_sources(notedeln PRIVATE  src/Items/TeXCodes.cpp )
target_sources(notedeln PRIVATE  src/Items/TextBlockItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TextCursor.cpp )
target_sources(notedeln PRIVATE  src/Items/TextItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TextItemDoc.cpp )
target_sources(notedeln PRIVATE  src/Items/TextItemDocData.cpp )
target_sources(notedeln PRIVATE  src/Items/TextItem_MathMode.cpp )
target_sources(notedeln PRIVATE  src/Items/TextSplitter.cpp )
target_sources(notedeln PRIVATE  src/Items/TitleItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TOCItem.cpp )
target_sources(notedeln PRIVATE  src/Items/Unicode.cpp )
target_sources(notedeln PRIVATE  src/Items/Digraphs.qrc )
target_sources(notedeln PRIVATE  src/Items/Latin.qrc )
target_sources(notedeln PRIVATE  src/Items/TeXCodes.qrc )
