=== debian/changelog ===
eln (1.5.6-1) unstable; urgency=medium

  * New upstream release
  * bump policy
  * cherry-pick upstream patch, cosmetic bug fix

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 12 Nov 2025 12:35:20 +0000
