=== debian/control ===
Source: eln
Section: editors
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Wagenaar <daw@caltech.edu>,
	   Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13),
		cmake,
		qt6-base-dev,
		qt6-tools-dev,
		qt6-webengine-dev,
		qt6-multimedia-dev,
		qt6-svg-dev, qt6-pdf-dev,
		qt6-declarative-dev,
		qml6-module-qtdatavisualization,
		qml6-module-qt-labs-lottieqt,
		qml6-module-qtcharts,
		qml6-module-qtwebengine-controlsdelegates,
		qml6-module-qtwebengine,
		qml6-module-qtquick3d-spatialaudio,
		sphinx,
		asciidoc,
Standards-Version: 4.7.2
Homepage: https://www.danielwagenaar.net/eln
Vcs-Git: https://salsa.debian.org/science-team/eln.git
Vcs-Browser: https://salsa.debian.org/science-team/eln

Package: notedeln
Architecture: amd64 arm64 armhf i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: git
Description: Electronic Lab Notebook called NotedELN
 NotedELN is an electronic lab notebook with an emphasis on solid data
 storage. It is designed for scientists of all stripes, and supports:
 .
  * Taking notes during experiments since it automatically saves your
    input every 10 seconds so that your notes will never be lost;
 .
  * Keeping track of data analysis results since screen shots and
    other graphics can be added to a notebook page by drag-and-drop or
    copy-and-paste;
 .
  * Recording your lit searches, since it will automatically download
    papers from PubMed and archive them with your notebook;
 .
  * Recording your thought processes, since it will never get in the
    way of your typing with arbitrary constraints on input formatting.
